Вышел phpBBex 1.9.4 (на базе phpBB 3.0.14) с поддержкой PHP 7.0+

Регистрация
28.10.2017
Сообщения
1 006
Решения
1
Реакции
200
Вышел phpBBex 1.9.4, основанный на phpBB 3.0.14. Теперь phpBBex 1.x ещё лучше поддерживает PHP 7.0+!

Требования:
  • PHP 5.4+, 7.0+, 8.0.
  • MySQL 5.0+.

Что нового?

Улучшена поддержка PHP 7.0+

В phpBBex 1.9.3, наконец, появилась начальная поддержка PHP 7.0+. В phpBBex 1.9.4 она доведена до стабильного состояния, и теперь для phpBBex рекомендуется использовать PHP 7.4. PHP 8.0 тоже поддерживается. Переход на новую версию PHP даёт заметный прирост производительности и снижает нагрузку на сервер.

Много старого кода в стиле PHP 4 было обновлено. К сожалению, скорее всего код старых модов тоже придётся немного подправлять, но обычно это требует каких-то достаточно простых изменений. Более высокая производительность стоит того!

Другие полезные изменения

  • Добавлено логирование ошибок и предупреждений PHP, чтобы можно было отслеживать ещё неисправленные проблемы совместимости с новыми версиями PHP. Если вы используете какие-то модификации, обязательно проверьте в Админка → Обслуживание → Лог ошибок, нет сыплет ли какой-то код ошибками, которые обязательно необходимо исправить для нормальной работы.
  • Удалена специальная поддержка для вложений Flash, так как он более не поддерживается браузерами. Поддержка BBCode [flash] пока что осталась.
  • В полях для добавления файлов сразу задаётся список поддерживаемых расширений.
  • Более точный подсчёт гостей (не учитываются сессии, cookie которых не были приняты).
  • В мобильных браузерах отключено автоувеличение шрифтов, которое ломало вёрстку и нормально не работало всё равно.
  • Убрано непреднамеренное скругление элементов ввода в Chrome.

Обновление c phpBBex 1.8.0+ до 1.9.4

Если у вас более ранняя версия, сперва обязательно выполните инструкцию по обновлению до phpBBex 1.8.0. После этого выполните следующие инструкции.

  1. Сделайте резервную копию вашего сайта.
  2. Замените все файлы (кроме config.php!) предыдущей версии phpBBex.
  3. Запустите install/database_update.php.
  4. Не забудьте сбросить кэш в админке (на главной), обновить шаблоны, стили и наборы изображений.

Все ваши изменения придётся проделать повторно. Если у вас большое количество изменений, переносить их со старой версии форума на новую версию может быть утомительным. Вручную вносить правки из новой версии в вашу версию тоже плохой вариант — изменений слишком много. Для автоматизации процесса обновления рекомендуется освоить Git, и использовать последнюю версию движка из репозитория проекта.
 

Вложения

  • phpbbex_v1.9.4.7z
    1,5 МБ · Просмотры: 0
Верх